Package Details: zerobrane-studio 1.90-3

Git Clone URL: https://aur.archlinux.org/zerobrane-studio.git (read-only, click to copy)
Package Base: zerobrane-studio
Description: A lightweight Lua-based IDE for Lua
Upstream URL: https://studio.zerobrane.com/
Keywords: ide lua zerobrane
Licenses: MIT
Submitter: losinggeneration
Maintainer: caleb
Last Packager: caleb
Votes: 44
Popularity: 0.32
First Submitted: 2012-10-16 15:00
Last Updated: 2020-02-12 10:48

Dependencies (6)

Required by (0)

Sources (3)

Pinned Comments

caleb commented on 2020-02-27 16:20

PSA: I've started hosting this and all its dependencies as prebuilt packages in my repository for those that want to install them using pacman without messing around with building from the AUR.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

caleb commented on 2020-02-27 16:25

I commented on the linked Github issue, but for the sake of people with notifications turned on here, the issues @ipochto brought up have been resolved and this is expected to build cleanly now (and not segfault when run).

caleb commented on 2020-02-27 16:20

PSA: I've started hosting this and all its dependencies as prebuilt packages in my repository for those that want to install them using pacman without messing around with building from the AUR.

ipochto commented on 2019-11-19 18:00

Upd:

Issue on ZeroBrain Studio's github.

ipochto commented on 2019-11-18 10:48

Unable to launch:

$ zbstudio

/usr/bin/lua: error loading module 'wx' from file '/usr/lib/lua/5.3/wx.so':
    /usr/lib/lua/5.3/wx.so: undefined symbol: lua_tonumber
stack traceback:
    [C]: in ?
    [C]: in function 'require'
    src/main.lua:38: in main chunk
    [C]: in ?

hollunder commented on 2018-10-30 07:46

I asked regarding our build issues and Paul provided a patch that should fix. Regardless, we should probably switch to his branch of wxLua. Both are linked in this email: https://www.freelists.org/post/zerobrane/Build-issues-on-Linux-which-wxLua-version-is-required,1

hollunder commented on 2018-10-22 08:58

I've had a look at the build script, which is build/build-linux.sh. It includes the URLs to all the libraries that are being used, among them the wxwidgets and wxlua forks. It is a custom shell script rather than any existing build system, but maybe it can be used for packaging? I think it should at least be possible to use it to figure out how to build and where to install things.

If someone needs a working 1.80 you can just run the zbstudio.sh as a workaround.

Popolon commented on 2018-10-12 17:10

The binary version of 1.70.1 I still have is available here with few other packages :

https://popolon.org/depots/Archlinux/

I also make a ArchlinuxARM version (for arm versions if needed) in :

https://popolon.org/depots/ArchlinuxARM/

I added all the files from the package wxlua-svn 252-3 I have on my system (x86-64), listed by pacman -Q --list wxlua-svn in this tarball (to untar in /, so you will be able to use it until this package is patched for changes, and to compile zerobrainstudio or use the package frop my ~repo :

https://popolon.org/depots/Archlinux/wxlua-svn-252-3.tar.xz

In the same directory, a modifed PKGBUILD for 1.80, the patch is replaced by a more generic sed :

https://popolon.org/depots/Archlinux/zerobrane-studio-1.80-1-any.PKGBUILD

The new version of zerobrane-studio (1.80) need a new version of wxlua, so upgrade of this package will depend on it.

 /usr/bin/lua5.2: src/editor/package.lua:466: wxLua: Unable to call an unknown method 'ReplaceTargetRaw' on a 'wxStyledTextCtrl' type.

Popolon commented on 2018-10-12 17:01

My version of wxlua-svn is 252-3, perhaps you can try to make the same version looking at past AUR git version, or ask to owner of package to correct it. Sorry, wxlua-svn is installed on my computer but I don't have the package anymore and if I try to compile it again it fail.

I will look at the upgrade of zerobrane-studio to version 1.80

hollunder commented on 2018-10-12 16:35

I tried to get it to work with a few obvious edit and the patch no longer applies. Unfortunately even after getting it to the point where it should work I ran into some wxlua issue.

Wxlua-svn doesn't work anymore either.

Doesn't the Author of Zerobrane Studio have his own branch of wxlua or something? I think we should ask him for support on getting this to work properly.

Popolon commented on 2017-11-17 09:39

migerh: Ok, thanks, didn't read it well :).